package com.seatel.mobilehall.ui.home.interactor

import com.android.volley.VolleyError
import com.seatel.mobilehall.ui.home.model.FAQModel

interface FAQDetailInteractor {
    interface View {
        fun responseSucceedFAQDetailData(answer: String)
        fun responseFailedFAQDetail(error: VolleyError)
        fun responseSucceedGetRelatedQuestion(relatedQuestionList: List<FAQModel>)
    }

    interface Presenter {
        fun loadData(id: String)
    }
}